<div class="tad-unit-roster">
  <shared-unit-details
    [readonlymode]= "false"
    [isTAD]="true"
    [siteID]="selectedHpSite ? selectedHpSite.siteID : 0"
    [siteagreementPopulationId]= "0"
    [tadValidationMsg]="tadValidationMsg"
    (UnitDataChanged)="loadTADValidationMsg()">
  </shared-unit-details>
  <app-nav-footer [isSaveRequired]="false" [isExitRequired]="true" (Exitbtn)="onExitClick()" [isPreviousRequired]="false" (Nextbtn)="NextTadPage()"></app-nav-footer>
</div>
